read_db cpu.gdb
link
getproc

uniquify
getproc

set acs_use_lsf true
set acs_bsub_args {-K -q synthesis -R "select[maxmem>=500 && cpuf>=16.0]"}

set_attribute -type boolean {dcu/dcctl/dcudp_cntl/spare} MasterInstance true

set_compile_partitions -designs { \
	mj_spare \
	dcram_dummy \
	dcu \
	dtag_dummy \
	fpu \
	icram_dummy \
	icu \
	itag_dummy \
	iu \
	ex \
	hold_logic \
	ifu \
	pipe \
	rcu \
	trap \
	ucode \
	pcsu \
	smu}

acs_compile_design -prepare_only cpu
getproc

exit
